import { default as ImageSource } from './ImageSource.js';
import { default as Frame } from './Frame.js';
export default class ImageElement {
    available: boolean;
    loading: boolean;
    frame: Frame;
    private _image;
    private context;
    constructor(context: ImageSource, frame: Frame);
    get image(): CanvasImageSource | undefined;
    set image(image: CanvasImageSource | undefined);
    get imageURL(): string | undefined;
    reset(): void;
    fetchImage(): Promise<CanvasImageSource>;
    releaseImage(): void;
}
