import { default as ImageElement } from './ImageElement.js';
export default class Frame {
    index: number;
    images: ImageElement[];
    priority: number;
    constructor(index: number);
    get image(): CanvasImageSource | undefined;
    getImage(): Promise<CanvasImageSource>;
    fetchImage(): Promise<CanvasImageSource | undefined>;
    releaseImage(): void;
    reset(): void;
}
