import { default as ImageSource } from './ImageSource.js';
import { default as Tarball } from './Tarball.js';
import { default as ImageElement } from './ImageElement.js';
export default class ImageSourceTar extends ImageSource {
    tarball: Tarball | undefined;
    private tarLoadProgress;
    get type(): number;
    loadResources(): Promise<void>;
    getImageURL(index: number): string | undefined;
    getLoadStatus(): {
        progress: number;
        numLoading: number;
        numLoaded: number;
        maxLoaded: number;
    };
    fetchImage(imageElement: ImageElement): Promise<CanvasImageSource>;
    destruct(): void;
    protected available(image: ImageElement, available?: boolean): boolean;
}
